$(function () {
	
	var userConsole = new PentahoUserConsole();
	
	if (!userConsole.console_enabled) {
		$('body').addClass('pentaho-page-background');
	}
	
	function showMessagePanel () {
		$('#message-panel').show();
	}
	
	function hideMessagePanel () {
		$('#message-panel').hide();
	}
	
	function showMessage(msg) {
		$('#message-panel > div > span').text(msg);
		showMessagePanel();
		
	}
	
	$('input').keyup(function(e) {
		
		var currentPassword = $('#currentPassword').val();
		var newPassword = $('#newPassword').val();
		var confirmPassword = $('#confirmPassword').val();
		
		var canChange =
			currentPassword != null && currentPassword.length > 0 &&
			newPassword != null && newPassword.length > 0 &&
			confirmPassword != null && confirmPassword.length > 0 &&
			newPassword == confirmPassword;
			
		var matchAlert =
			newPassword != null && newPassword.length > 0 &&
			confirmPassword != null && confirmPassword.length > 0 &&
			newPassword != confirmPassword;
		
		if (canChange) {
			$('#change').removeAttr('disabled');
		} else {
			$('#change').attr('disabled', 'disabled');
		}
		
		if (matchAlert) {
			showMessage('Passwords do not match');
			$('#confirmPassword').addClass('alert');
		} else {
			if (e.which != 13) hideMessagePanel();
			$('#confirmPassword').removeClass('alert');
		}
	});
	
	function sendData() {
		
		toggleGlassPane();
		
		$.ajax({
			url: '/pentaho/content/ws-run/changePasswordService/changePassword',
			data: $('#form').serialize(),
			dataType: 'xml',
			type: 'GET',
			complete: function () {
				toggleGlassPane();
			},
			success: function (data, textStatus, XMLHttpRequest) {
				var success = $(data).find('success').text(),
					message = $(data).find('message').text();
				
				showMessage(message);
			},
			error: function () {
				showMessage('Error!');
			}
		});
	}
	
	function toggleGlassPane() {
		var status = $('.glasspane').css('display');
		if (status == 'none') {
			$('.glasspane').show();
		} else {
			$('.glasspane').hide();
		}
	}
	
	$('#change').click(function (e) {
		e.preventDefault();
		sendData();
	});
});